#region Copyright Syncfusion Inc. 2001 - 2014
// Copyright Syncfusion Inc. 2001 - 2014. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ChartGettingStarted
{
    public class StackingColumn : ContentPage
    {
        public StackingColumn()
        {
            Content = GetChart();
        }

        private static SfChart GetChart()
        {
            SfChart chart = new SfChart();
            chart.PrimaryAxis = new CategoryAxis();
            chart.SecondaryAxis = new NumericalAxis();

            ObservableCollection<ChartDataPoint> data = new ObservableCollection<ChartDataPoint>();
            data.Add(new ChartDataPoint("12/1", 6));
            data.Add(new ChartDataPoint("12/2", 2));
            data.Add(new ChartDataPoint("12/3", 8));
            
            ObservableCollection<ChartDataPoint> data1 = new ObservableCollection<ChartDataPoint>();
            data1.Add(new ChartDataPoint("12/1", 5));
            data1.Add(new ChartDataPoint("12/2", 4));
            data1.Add(new ChartDataPoint("12/3", 4));
            
            ObservableCollection<ChartDataPoint> data2 = new ObservableCollection<ChartDataPoint>();
            data2.Add(new ChartDataPoint("12/1", 4));
            data2.Add(new ChartDataPoint("12/2", 6));
            data2.Add(new ChartDataPoint("12/3", 2));
            
            StackingColumnSeries stackingColumnSeries = new StackingColumnSeries();
            stackingColumnSeries.Color = Color.Red;
            stackingColumnSeries.ItemsSource = data;
            StackingColumnSeries stackingColumnSeries1 = new StackingColumnSeries();
            stackingColumnSeries1.Color = Color.Green;
            stackingColumnSeries1.ItemsSource = data1;
            StackingColumnSeries stackingColumnSeries2 = new StackingColumnSeries();
            stackingColumnSeries2.Color = Color.Blue;
            stackingColumnSeries2.ItemsSource = data2;

            chart.Series.Add(stackingColumnSeries);
            chart.Series.Add(stackingColumnSeries1);
            chart.Series.Add(stackingColumnSeries2);
            
            return chart;
        }
    }
}
